gnutls_x509_crl_set_version(3)

NAME
gnutls_x509_crl_set_version - This function will set the CRL version

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_version(gnutls_x509_crl_t crl, unsigned int version);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

unsigned int version
    holds the version number. For CRLv1 crls must be 1.

DESCRIPTION
This function will set the version of the CRL. This must be one for CRL version 1, and so on. The CRLs generated by gnutls should have a version number of 2. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.